#
# spec file for package edict-emacs (Version 0.9.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-nox
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-nox file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         edict-emacs
Summary:      edict.el, an Emacs Front-end for EDICT
Version:      0.9.8
Release:      93
Group:        Applications/Editors/Emacs
Requires:     emacs edict
Copyright:    GPL
URL:          http://turnbull.sk.tsukuba.ac.jp/
Source:       http://turnbull.sk.tsukuba.ac.jp/Tools/XEmacs/packages/edict/edict-1.06-src.tar.gz
Source1:      suse-start.el
BuildRoot:    %{_tmppath}/%{name}-root
BuildArch:    noarch

%description
The original edict.el was written by Per Hammarlund. It is an
interface to the EDICT Japanese-English dictionary compiled by Jim
Breen at Monash University.  Using the region and couple of
keystrokes, edict.el will look up the Japanese key and return all the
EDICT entries containing that key, in a pop-up buffer.  English is
even easier, you just put point anywhere in the word you want to look
up.
Bob Kerns added a morphology engine, which reduces a highly inflected
Japanese word to a list of dictionary forms (eg, itta -> (iku, iu)),
all of which are looked up.

Authors:
--------
    Stephen J. Turnbull <turnbull@sk.tsukuba.ac.jp>
    Per Hammarlund <perham@nada.kth.se>
    Bob Kerns <rwk@crl.dec.com>

SuSE series: e

%prep
%setup -n mule
mv edict/* .
cp -p $RPM_SOURCE_DIR/suse-start.el .

%build
%define emacs_sitelisp_dir /usr/share/emacs/site-lisp
%define emacs_package_dir /usr/share/emacs/site-lisp/edict
%define emacs_infodir %{_infodir}
make -f Makefile.FSF lispdir=%{emacs_sitelisp_dir} infodir=%{emacs_infodir}

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot};
fi
mkdir -p $RPM_BUILD_ROOT%{emacs_package_dir}
install -m 644 *.el *.elc $RPM_BUILD_ROOT%{emacs_package_dir}
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-edict.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  cat suse-start.el
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-edict.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-edict.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.096 TODO COPYING ChangeLog README TODO
%{emacs_package_dir}
%config %{emacs_sitelisp_dir}/suse-start-edict.el

%changelog -n edict-emacs
* Fri Apr 20 2001 - mfabian@suse.de
- new package: edict-emacs, version 0.9.8
